{
  "appId": "com.loafle.overflow.scanner",
  "copyright": "©2015 LOAFLE",
  "productName": "overFlow Network Scanner",
  "files": [
    "**/*"
  ],
  "asar": true,
  "compression": "normal",
  "npmRebuild": false,
  "npmSkipBuildFromSource": false,
  "artifactName": "${productName}[${env.WAVES_CONFIGURATION}]-${version}-${os}.${ext}",
  "directories": {
    "buildResources": "electron/"
  },
  "linux": {
    "category": "Utility",
    "target": [
      {
        "target": "deb",
        "arch": [
          "x64",
          "ia32"
        ]
      },
      {
        "target": "rpm",
        "arch": [
          "x64",
          "ia32"
        ]
      },
      {
        "target": "zip",
        "arch": [
          "x64"
        ]
      }
    ],
    "executableName": "overFlow-Network-Scanner",
    "extraFiles": [
      {
        "from": "build/nrfjprog/unpacked/nrfjprog",
        "to": ".",
        "filter": "*.so*"
      }
    ]
  },
  "mac": {
    "category": "public.app-category.utilities",
    "artifactName": "${productName}-${version}-${arch}.${ext}",
    "minimumSystemVersion": "10.12.0",
    "extendInfo": "config/build/darwin/Info.plist",
    "icon": "config/build/darwin/icon/icon.icns",
    "target": [
      "dmg"
    ],
    "extraFiles": [
      {
        "from": "build/nrfjprog/unpacked/nrfjprog",
        "to": "Frameworks",
        "filter": "*.dylib"
      }
    ]
  },
  "win": {
    "target": [
      {
        "target": "nsis",
        "arch": [
          "x64",
          "ia32"
        ]
      }
    ],
    "legalTrademarks": "overFlow",
    "publisherName": "LOAFLE",
    "icon": "config/build/windows/icon/icon.ico"
  },
  "nsis": {
    "artifactName": "${name}-setup-${version}.${ext}",
    "menuCategory": "overFlow",
    "include": "config/build/windows/nsis/installer.nsh",
    "installerIcon": "config/build/windows/icon/icon.ico",
    "uninstallerIcon": "config/build/windows/icon/icon.ico"
  },
  "dmg": {
    "icon": null,
    "iconSize": 160,
    "contents": [
      {
        "x": 180,
        "y": 170
      },
      {
        "x": 480,
        "y": 170,
        "type": "link",
        "path": "/Applications"
      }
    ],
    "background": "config/build/darwin/icon/macos-installer-bg.tiff"
  },
  "deb": {
    "synopsis": "overFlow Network Scanner",
    "afterInstall": "config/build/linux/after-install.tpl",
    "afterRemove": "config/build/linux/after-remove.tpl",
    "depends": [
      "libpcap"
    ]
  },
  "rpm": {
    "synopsis": "overFlow Network Scanner",
    "afterInstall": "config/build/linux/after-install.tpl",
    "afterRemove": "config/build/linux/after-remove.tpl",
    "depends": [
      "libpcap"
    ]
  }
}